# Export Datamart Exports the specified Datamart source. Typically used in an integration scenario (IM) for a given customer. The request’s body can contain a data block with a regular filter criteria definition (as, for example, used in the JSON API fetch commands), to filter the output rows. If the Analytics database for the parition is hosted in AWS, the export file(s) will be transferred to the corresponding S3 bucket, ready for retrieval using the datamart.fetchexportfile (Get a DM Export File) endpoint. Otherwise the files are put in the local file system of the node that handles the request: default path: server/temp//export// If needed, a different, absolute path can be set using an instance parameter: datamart.database.export.path Data is exported in the CSV format, and is always gzip-compressed. Character encoding is always UTF-8. There is no client side encryption. Endpoint: POST /datamart.export/{fcTypedIdOrSourceName} Security: basic, X-PriceFx-jwt ## Path parameters: - `fcTypedIdOrSourceName` (string, required) Restricts the export to a specific source, identified by either the 'typedId' or 'sourceName'. Example: "DMDS.SegmentPrices" ## Query parameters: - `suffix` (string) A suffix appended to the standard output file name: __.csv.gz - `maxRows` (string) The maximum number of returned rows. ## Request fields (application/json): - `data` (object) - `data.criteria` (array) - `data.criteria.operator` (string) - `data.criteria.fieldName` (string) - `data.criteria.value` (string) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.actionUUID` (array) Use this in the datamart.getactionstatus/{actionUUID} endpoint to retrieve a file path of the exported file. - `response.status` (number)